FROM php:7.3-apache

RUN apt-get update
RUN apt-get install -y \
    curl \
    nano

RUN docker-php-ext-install opcache \
   && docker-php-ext-install pdo \
    && docker-php-ext-install pdo_mysql 

#COPY $PWD/build/docker/apache/app_php.ini /usr/local/etc/php/conf.d/app_php.ini
COPY $PWD/build/docker/apache/apache.conf /etc/apache2/sites-available/fatboar.foodgame.fr.conf

RUN a2dissite 000-default default-ssl
RUN a2ensite fatboar.foodgame.fr
RUN a2enmod ssl
RUN a2enmod proxy proxy_http


#COPY $PWD /var/www/html/
#COPY ./ /var/www/html/
COPY $PWD/angular-client/dist/fatboar /var/www/html/

WORKDIR /var/www/html/

EXPOSE 80